<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$annio=$_GET['annio'];
$fecha_generica=$annio.'-0-0';
$fecha_generica_ingreso='2006'.'-0-0';
$fecha_generica_inscrito='2010'.'-0-0';

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$codigo_periodo=$row2['codigo'];
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';

//Datos de la Sede
$sql2 = "select * from sedes where codigo='$sede'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_sede=$row2['nombre_sede'];

//Datos de la Carrera
$sql2 = "select * from carreras where id_carrera='$carrera'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_carrera=$row2['nombre_carrera'];


// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = "Select distinct
carreras.codigo_opsu,
296 as pais,
1 as condicion_res,
alumnos.cedula,
alumnos.cedula,
alumnos.apellidos,
alumnos.nombres,
alumnos.sexo,
alumnos.fecha_nac,
if(isnull(carreras_alumno.fecha_ingreso),'$fecha_generica_ingreso',carreras_alumno.fecha_ingreso) AS fecha_ingreso,
if(isnull(historial_alumnos.fecha),'$fecha_generica_inscrito',historial_alumnos.fecha) AS fecha_inscripcion,
5 as turno,
carreras.creditos_grado,
99 as etnia,
2 as becado,
'' as institucion,
2 as privado,
1 as teg,
alumnos.discapacidad,
'' as comentarios
From
historial_alumnos
Inner Join alumnos ON alumnos.id_alumno = historial_alumnos.id_alumno
Inner Join carreras_alumno ON alumnos.id_alumno = carreras_alumno.id_alumno
Inner Join carreras ON carreras_alumno.id_carrera = carreras.id_carrera
Inner Join sedes ON carreras_alumno.sede = sedes.codigo
where historial_alumnos.annio='$annio'
group by alumnos.cedula
order by alumnos.apellidos
";
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);

// Se genera la linea de encabezado del archivo.
$linea='103;0000000446;Dirección de Secretaría General - Unidad de Control de Estudios'.';';

// Apertura del archivo texto
$nombre_archivo = '0000000446_103_'.$annio.'.txt';
$carpeta_destino = dirname(__FILE__);
$archivo = $carpeta_destino ."/".$nombre_archivo;
$archivo = fopen ($archivo, "w+");
$contenido='';
// Inserción del encabezado del archivo. chr(13).chr(10), forman el salto de linea.
fwrite($archivo, $linea.chr(13).chr(10));
$contenido=$contenido.$linea.chr(13).chr(10);
while ($row = mysql_fetch_row($result)) {
    $fecha_nac=join ("-",(array_reverse(explode("-",$row[8]))));
	if($fecha_nac=='00-00-0000'){
	   $fecha_nac='0-0-1990';
	   }
	$fecha_ingreso=join ("-",(array_reverse(explode("-",$row[9]))));
	 
	if($fecha_ingreso=='00-00-0000'){
	   $fecha_ingreso='0-0-2003';
	   } 
	  
	   $fecha_inscrito=join ("-",(array_reverse(explode("-",$row[10]))));
	 
	if($fecha_inscrito=='00-00-0000'){
	   $fecha_inscrito='0-0-2008';
	   } 
	       
	// Inserción del participante en el archivo
    $linea=$row[0].';'.$row[1].';'.$row[2].';'.$row[3].';'.$row[4].';'.$row[5].';'.$row[6].';'.$row[7].';'.$fecha_nac.';'.$fecha_ingreso.';'.$fecha_inscrito.';'.$row[11].';'.$row[12].';'.$row[13].';'.$row[14].';'.$row[15].';'.$row[16].';'.$row[17].';'.$row[18].';'.$row[19].';';
     $contenido=$contenido.$linea.chr(13).chr(10);
	fwrite($archivo, $linea.chr(13).chr(10));
}
// Cierre del archivo 
fclose($archivo);

header( "Content-Type: application/octet-stream");
header( "Content-Disposition: attachment; filename=".$nombre_archivo.""); 
print($contenido);

//echo "<a href=\"".$archivo."\">Descargar</a>";
//echo "<a href=../../".$archivo." target="contenido">Listado Moodle</a>";
					   
?>